Description

Good morning and | hope you are well. | am trying to analyse data from the COVID-19 survey and | have a question.

| am interested in home-schooling outcomes. When | run regressions with the SVY command in stata hundreds of strata are omitted
from estimation (about 200-300 participants are therefore omitted). What | am doing for the moment is to treat the strata with single
sampling units as certainty units. Do you think this is right? Are there any available corrections? Should | merge single units?

History

#1 - 06/04/2020 03:27 PM - Alita Nandi
- Status changed from New to Feedback

- % Done changed from 0 to 50

Hi Alexis,

We advise users to use "scaled" option, as the "certainty" option means that these units do not contribut to the standard error. If you specify "scaled"
then as per Stata Help, "the scaling factor comes from using the average of the variances from the strata with multiple sampling units for each stratum
with one sampling unit."

But when you say hundreds of strata get dropped do you mean the statement in the output "# strata omitted because they contain no population
members"? This will happen whichever singleunit option you use as this just refers to the fact that there are many strata where there are no
observations used in your analyses so the strata get dropped.

Also, note that if you are subsetting the sample, then use "over()" rather than "if" with svy.

| am sorry, if | have misunderstood your problem. In that case you could you please attach this part of the syntax? If it is confidential, you don't need
to specify the actual variables you have used, use depvar indepvar instead.

Best wishes,
Alita

#2 - 06/05/2020 08:10 AM - Alita Nandi

- Private changed from Yes to No

#3 - 06/05/2020 08:11 AM - Alita Nandi

- Assignee set to Alexis Karamanos

#4 - 03/02/2021 04:53 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved
- Assignee deleted (Alexis Karamanos)

- % Done changed from 50 to 100
